Package org.eclipse.ecf.filetransfer

# Interface IRemoteFileSystemBrowserContainerAdapter

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Subinterfaces:
  `IRemoteFileSystemBrowser`

All Known Implementing Classes:
  `MultiProtocolFileSystemBrowserAdapter`

public interface IRemoteFileSystemBrowserContainerAdapter extends org.eclipse.core.runtime.IAdaptable
Remote file system browser adapter. This adapter can be retrieved from a container for exposing remote file system browsing capabilities.

## Method Summary

Modifier and Type
Method
Description
`Namespace`
`getBrowseNamespace()`
Get the `Namespace` instance for creating IFileIDs that represent remote files or directories.
`IRemoteFileSystemRequest`
`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Send a request for file or directory information for given directoryOrFileID.
`void`
`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.
`void`
`setProxy(Proxy proxy)`
Set proxy for use upon subsequent `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getBrowseNamespace

Namespace getBrowseNamespace()
Get the `Namespace` instance for creating IFileIDs that represent remote files or directories.

Returns:
  Namespace for remote files or directories. Will not be `null`.

### sendBrowseRequest

IRemoteFileSystemRequest sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener) throws RemoteFileSystemException
Send a request for file or directory information for given directoryOrFileID.

Parameters:
  `directoryOrFileID` - the IFileID representing/specifying the remote directory or file to access.
  `listener` - the listener that will be notified asynchronously when a response to this request is received. Must not be `null`.
Returns:
  IRemoteFileSystemRequest the request instance.
Throws:
  `RemoteFileSystemException` - if browse request cannot be accomplished

### setConnectContextForAuthentication

void setConnectContextForAuthentication(IConnectContext connectContext)
Set connect context for authentication upon subsequent `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. This method should be called with a non-null connectContext in order to allow authentication to occur during call to `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.

Parameters:
  `connectContext` - the connect context to use for authenticating during subsequent call to `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. If `null`, then no authentication will be attempted.

### setProxy

void setProxy(Proxy proxy)
Set proxy for use upon subsequent `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. This method should be called with a non-null proxy to allow the given proxy to be used in subsequent calls to `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.

Parameters:
  `proxy` - the proxy to use for subsequent calls to `sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. If `null`, then no proxy will be used.